Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.jcr.ConfigurationException

All Implemented Interfaces:
  Serializable

    public class ConfigurationException

extends RuntimeException

An exception signalling errors in a `configuration`.

See Also:
  Serialized Form

Constructor Summary
`ConfigurationException(Problems results)`
`ConfigurationException(Problems results, String message)`
`ConfigurationException(Problems results, String message, Throwable cause)`
`ConfigurationException(Problems results, Throwable cause)`

Method Summary
`Problems` | `getProblems()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(Problems results)

Parameters:
  `results` - the validation results for the configuration

### ConfigurationException

    public ConfigurationException(Problems results,
                                  String message)

Parameters:
  `results` - the validation results for the configuration
  `message` - the message

### ConfigurationException

    public ConfigurationException(Problems results,
                                  Throwable cause)

Parameters:
  `results` - the validation results for the configuration
  `cause` - the cause of this exception

### ConfigurationException

    public ConfigurationException(Problems results,
                                  String message,
                                  Throwable cause)

Parameters:
  `results` - the validation results for the configuration
  `message` - the message
  `cause` - the cause of this exception

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getProblems

    public Problems getProblems()

  Returns:
    results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.